Queue a Workflow Run
curl --request POST \
--url https://api.shieldbase.ai/external/workflows/{group_id}/runs \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Secret: <api-key>' \
--data '
{
"executor_timezone": 420,
"external_user": {
"id": "partner-user-123",
"email": "user@example.com",
"name": "Example User"
},
"inputs": {
"form_inputs": {
"stable-step-group-id": {
"customer_name": "Example Corp"
}
},
"file_urls": {
"file-step-group-id": [
"https://files.example.com/customer-doc.pdf"
]
}
}
}
'import requests
url = "https://api.shieldbase.ai/external/workflows/{group_id}/runs"
payload = {
"executor_timezone": 420,
"external_user": {
"id": "partner-user-123",
"email": "user@example.com",
"name": "Example User"
},
"inputs": {
"form_inputs": { "stable-step-group-id": { "customer_name": "Example Corp" } },
"file_urls": { "file-step-group-id": ["https://files.example.com/customer-doc.pdf"] }
}
}
headers = {
"X-Client-ID": "<api-key>",
"X-API-Key": "<api-key>",
"X-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Client-ID': '<api-key>',
'X-API-Key': '<api-key>',
'X-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
executor_timezone: 420,
external_user: {id: 'partner-user-123', email: 'user@example.com', name: 'Example User'},
inputs: {
form_inputs: {'stable-step-group-id': {customer_name: 'Example Corp'}},
file_urls: {'file-step-group-id': ['https://files.example.com/customer-doc.pdf']}
}
})
};
fetch('https://api.shieldbase.ai/external/workflows/{group_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shieldbase.ai/external/workflows/{group_id}/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'executor_timezone' => 420,
'external_user' => [
'id' => 'partner-user-123',
'email' => 'user@example.com',
'name' => 'Example User'
],
'inputs' => [
'form_inputs' => [
'stable-step-group-id' => [
'customer_name' => 'Example Corp'
]
],
'file_urls' => [
'file-step-group-id' => [
'https://files.example.com/customer-doc.pdf'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>",
"X-Client-ID: <api-key>",
"X-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shieldbase.ai/external/workflows/{group_id}/runs"
payload := strings.NewReader("{\n \"executor_timezone\": 420,\n \"external_user\": {\n \"id\": \"partner-user-123\",\n \"email\": \"user@example.com\",\n \"name\": \"Example User\"\n },\n \"inputs\": {\n \"form_inputs\": {\n \"stable-step-group-id\": {\n \"customer_name\": \"Example Corp\"\n }\n },\n \"file_urls\": {\n \"file-step-group-id\": [\n \"https://files.example.com/customer-doc.pdf\"\n ]\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Client-ID", "<api-key>")
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("X-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.shieldbase.ai/external/workflows/{group_id}/runs")
.header("X-Client-ID", "<api-key>")
.header("X-API-Key", "<api-key>")
.header("X-Secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"executor_timezone\": 420,\n \"external_user\": {\n \"id\": \"partner-user-123\",\n \"email\": \"user@example.com\",\n \"name\": \"Example User\"\n },\n \"inputs\": {\n \"form_inputs\": {\n \"stable-step-group-id\": {\n \"customer_name\": \"Example Corp\"\n }\n },\n \"file_urls\": {\n \"file-step-group-id\": [\n \"https://files.example.com/customer-doc.pdf\"\n ]\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shieldbase.ai/external/workflows/{group_id}/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Client-ID"] = '<api-key>'
request["X-API-Key"] = '<api-key>'
request["X-Secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"executor_timezone\": 420,\n \"external_user\": {\n \"id\": \"partner-user-123\",\n \"email\": \"user@example.com\",\n \"name\": \"Example User\"\n },\n \"inputs\": {\n \"form_inputs\": {\n \"stable-step-group-id\": {\n \"customer_name\": \"Example Corp\"\n }\n },\n \"file_urls\": {\n \"file-step-group-id\": [\n \"https://files.example.com/customer-doc.pdf\"\n ]\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"run_id": "<string>",
"queue_id": "<string>",
"status": "queued",
"queue_status": "pending",
"group_id": "<string>",
"workflow_id": "<string>",
"current_step_id": "<string>",
"external_user": {}
}
}Workflow Execution
Queue a Workflow Run
Queue the latest published workflow version for background execution. Use the returned run_id to poll run status.
POST
/
external
/
workflows
/
{group_id}
/
runs
Queue a Workflow Run
curl --request POST \
--url https://api.shieldbase.ai/external/workflows/{group_id}/runs \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Secret: <api-key>' \
--data '
{
"executor_timezone": 420,
"external_user": {
"id": "partner-user-123",
"email": "user@example.com",
"name": "Example User"
},
"inputs": {
"form_inputs": {
"stable-step-group-id": {
"customer_name": "Example Corp"
}
},
"file_urls": {
"file-step-group-id": [
"https://files.example.com/customer-doc.pdf"
]
}
}
}
'import requests
url = "https://api.shieldbase.ai/external/workflows/{group_id}/runs"
payload = {
"executor_timezone": 420,
"external_user": {
"id": "partner-user-123",
"email": "user@example.com",
"name": "Example User"
},
"inputs": {
"form_inputs": { "stable-step-group-id": { "customer_name": "Example Corp" } },
"file_urls": { "file-step-group-id": ["https://files.example.com/customer-doc.pdf"] }
}
}
headers = {
"X-Client-ID": "<api-key>",
"X-API-Key": "<api-key>",
"X-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Client-ID': '<api-key>',
'X-API-Key': '<api-key>',
'X-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
executor_timezone: 420,
external_user: {id: 'partner-user-123', email: 'user@example.com', name: 'Example User'},
inputs: {
form_inputs: {'stable-step-group-id': {customer_name: 'Example Corp'}},
file_urls: {'file-step-group-id': ['https://files.example.com/customer-doc.pdf']}
}
})
};
fetch('https://api.shieldbase.ai/external/workflows/{group_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shieldbase.ai/external/workflows/{group_id}/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'executor_timezone' => 420,
'external_user' => [
'id' => 'partner-user-123',
'email' => 'user@example.com',
'name' => 'Example User'
],
'inputs' => [
'form_inputs' => [
'stable-step-group-id' => [
'customer_name' => 'Example Corp'
]
],
'file_urls' => [
'file-step-group-id' => [
'https://files.example.com/customer-doc.pdf'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>",
"X-Client-ID: <api-key>",
"X-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shieldbase.ai/external/workflows/{group_id}/runs"
payload := strings.NewReader("{\n \"executor_timezone\": 420,\n \"external_user\": {\n \"id\": \"partner-user-123\",\n \"email\": \"user@example.com\",\n \"name\": \"Example User\"\n },\n \"inputs\": {\n \"form_inputs\": {\n \"stable-step-group-id\": {\n \"customer_name\": \"Example Corp\"\n }\n },\n \"file_urls\": {\n \"file-step-group-id\": [\n \"https://files.example.com/customer-doc.pdf\"\n ]\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Client-ID", "<api-key>")
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("X-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.shieldbase.ai/external/workflows/{group_id}/runs")
.header("X-Client-ID", "<api-key>")
.header("X-API-Key", "<api-key>")
.header("X-Secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"executor_timezone\": 420,\n \"external_user\": {\n \"id\": \"partner-user-123\",\n \"email\": \"user@example.com\",\n \"name\": \"Example User\"\n },\n \"inputs\": {\n \"form_inputs\": {\n \"stable-step-group-id\": {\n \"customer_name\": \"Example Corp\"\n }\n },\n \"file_urls\": {\n \"file-step-group-id\": [\n \"https://files.example.com/customer-doc.pdf\"\n ]\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shieldbase.ai/external/workflows/{group_id}/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Client-ID"] = '<api-key>'
request["X-API-Key"] = '<api-key>'
request["X-Secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"executor_timezone\": 420,\n \"external_user\": {\n \"id\": \"partner-user-123\",\n \"email\": \"user@example.com\",\n \"name\": \"Example User\"\n },\n \"inputs\": {\n \"form_inputs\": {\n \"stable-step-group-id\": {\n \"customer_name\": \"Example Corp\"\n }\n },\n \"file_urls\": {\n \"file-step-group-id\": [\n \"https://files.example.com/customer-doc.pdf\"\n ]\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"run_id": "<string>",
"queue_id": "<string>",
"status": "queued",
"queue_status": "pending",
"group_id": "<string>",
"workflow_id": "<string>",
"current_step_id": "<string>",
"external_user": {}
}
}Authorizations
Headers
Optional tenant selector for multitenant accounts. The API key owner must have access to the selected tenant.
Path Parameters
Stable group_id from GET /external/workflows
Body
application/json
Optional caller-provided run ID; generated by the server when omitted
Executor timezone offset in minutes
External caller metadata only; it does not authenticate or impersonate a tenant user
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Workflow run queued for background execution
Show child attributes
Show child attributes